org.springframework.data.relational.core.conversion

## Interface DbAction.WithDependingOn<T>

All Superinterfaces:
  DbAction<T>, DbAction.WithEntity<T>, DbAction.WithPropertyPath<T>

All Known Implementing Classes:
  DbAction.Insert, DbAction.Merge

Enclosing interface:
  DbAction<T>

    public static interface DbAction.WithDependingOn<T>
    extends DbAction.WithPropertyPath<T>, DbAction.WithEntity<T>

An action depending on another action for providing additional information like the id of a parent entity.

Author:
  Jens Schauder

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.springframework.data.relational.core.conversion.DbAction

`DbAction.AcquireLockAllRoot<T>, DbAction.AcquireLockRoot<T>, DbAction.Delete<T>, DbAction.DeleteAll<T>, DbAction.DeleteAllRoot<T>, DbAction.DeleteRoot<T>, DbAction.Insert<T>, DbAction.InsertRoot<T>, DbAction.Merge<T>, DbAction.Update<T>, DbAction.UpdateRoot<T>, DbAction.WithDependingOn<T>, DbAction.WithEntity<T>, DbAction.WithGeneratedId<T>, DbAction.WithPropertyPath<T>`

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`DbAction.WithEntity<?>` `getDependingOn()` The `DbAction` of a parent entity, possibly the aggregate root.
`default Class<T>` `getEntityType()`
`default Pair<PersistentPropertyPath<RelationalPersistentProperty>,Object>` `getQualifier()`
`Map<PersistentPropertyPath<RelationalPersistentProperty>,Object>` `getQualifiers()` Additional values to be set during insert or update statements.

### Methods inherited from interface org.springframework.data.relational.core.conversion.DbAction.WithPropertyPath

`getPropertyPath`

### Methods inherited from interface org.springframework.data.relational.core.conversion.DbAction.WithEntity

`getEntity`

### Method Detail

#### getDependingOn

    DbAction.WithEntity<?> getDependingOn()

The `DbAction` of a parent entity, possibly the aggregate root. This is used to obtain values needed to persist the entity, that are not part of the current entity, especially the id of the parent, which might only become available once the parent entity got persisted.

Returns:
  guaranteed to be not `null`.
See Also:
  `getQualifiers()`

#### getQualifiers

    Map<PersistentPropertyPath<RelationalPersistentProperty>,Object> getQualifiers()

Additional values to be set during insert or update statements.

Values come from parent entities but one might also add values manually.

Returns:
  guaranteed to be not `null`.

#### getQualifier

    @Nullable
    default Pair<PersistentPropertyPath<RelationalPersistentProperty>,Object> getQualifier()

#### getEntityType

    default Class<T> getEntityType()

Specified by:
  `getEntityType` in interface `DbAction<T>`
Specified by:
  `getEntityType` in interface `DbAction.WithEntity<T>`
Specified by:
  `getEntityType` in interface `DbAction.WithPropertyPath<T>`